"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var $=Object.create;var d=Object.defineProperty;var b=Object.getOwnPropertyDescriptor;var v=Object.getOwnPropertyNames;var w=Object.getPrototypeOf,C=Object.prototype.hasOwnProperty;var x=(e,t)=>()=>(t||e((t={exports:{}}).exports,t),t.exports);var k=(e,t,n,o)=>{if(t&&typeof t=="object"||typeof t=="function")for(let r of v(t))!C.call(e,r)&&r!==n&&d(e,r,{get:()=>t[r],enumerable:!(o=b(t,r))||o.enumerable});return e};var P=(e,t,n)=>(n=e!=null?$(w(e)):{},k(t||!e||!e.__esModule?d(n,"default",{value:e,enumerable:!0}):n,e));var m=x((B,_)=>{_.exports=Vue});var i=P(m());function l(e,t,...n){uni.__log__?uni.__log__(e,t,...n):console[e].apply(console,[...n,t])}var g=e=>{uni.reLaunch(e)},T=e=>{uni.switchTab(e)},f=e=>uni.getStorageSync(e),A=(e,t)=>{uni.setStorageSync(e,t)},I=()=>{let e=getCurrentPages(),{route:t,options:n,$page:o}=e[e.length-1],r=t,s=[],c=n||(o==null?void 0:o.options);if(c){for(let u in c)if(l("log","at common/utils/index.ts:52",u,c[u]),c[u]){let S=c[u];s.push(`${u}=${S}`)}}return l("log","at common/utils/index.ts:61","getRedirect:",`/${r}${s.length>0?"?"+s.join("&"):""}`),`/${r}${s.length>0?"?"+s.join("&"):""}`},L=()=>{T({url:"/pages/index/index"})},h=(e={},t=!1)=>{let n="/subPackages/common/pages/login/login";if(t){let r=I();l("log","at common/ts/nav.ts:40",r),g({url:`${n}?redirect=${encodeURIComponent(r)}`});return}let o=[];for(let r in e)if(e[r]){let s=e[r];o.push(`${r}=${s}`)}o.length>0&&(n=`${n}?${o.join("&")}`),g({url:n})},V=()=>{g({url:"/subPackages/common/pages/guide/guide"})},y=1,a=(0,i.defineComponent)({__name:"init",setup(e){return(()=>{if(f("guideCode")!==y)return A("guideCode",y),V();try{let o=JSON.parse(f("user"));return l("log","at pages/init/init.nvue:19","===init:",o),o.uid?L():h()}catch(o){return h()}})(),(n,o)=>((0,i.openBlock)(),(0,i.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,i.createElementVNode)("div")]))}});var p=plus.webview.currentWebview();if(p){let e=parseInt(p.id),t="pages/init/init",n={};try{n=JSON.parse(p.__query__)}catch(r){}a.mpType="page";let o=Vue.createPageApp(a,{$store:getApp({allowDefault:!0}).$store,__pageId:e,__pagePath:t,__pageQuery:n});o.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...a.styles||[]])),o.mount("#root")}})();
